<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Aaron Cornwell's Portfolio
    </title>
    <link rel="preconnect" href="https://fonts.googleapis.com" />
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin />
    <link href="https://fonts.googleapis.com/css2?family=Oxygen&family=Oxygen+Mono&display=swap" rel="stylesheet" />
    <link href="css/style.css" rel="stylesheet" />
    <script src="https://kit.fontawesome.com/b147c69e01.js" crossorigin="anonymous"></script>
</head>
<body>
    <nav>
        <ul>
            <li>
                <h1><a href="index.html"><span class="fa-solid fa-arrows-rotate" aria-hidden="true"></span>Aaron
                    Cornwell</a>
            </h1>
            </li>
            <li><a href="#projects">Projects</a></li>
            <li><a href="about.html">About</a></li>
            <li><a href="#contact">Contact</a></li>
            <li>
                <a href="https://www.linkedin.com/in/a-cornwell/" target="_blank">
                    <span class="fab fa-linkedin" aria-hidden="true"></span>
                    <span class="sr-only">LinkedIn</span>
                </a>
            </li>
            <li>
                <a href="https://gitlab.com/A.Cornwell" target="_blank">
                    <span class="fa-brands fa-gitlab" aria-hidden="true"></span>
                    <span class="sr-only">Github</span>
                </a>
            </li>
            <li><a href="https://docs.google.com/document/d/1ISFEjQ8JCkx-VCKeHxxDSeJJ19Ml4VFKbv91QWMvCbk/edit" target="_blank"
                class="button">Resume</a></li>
        </ul>
    </nav>
    <section id="intro">
        <div class="text-container">
            <p class="name">Hi, my name is <span>Aaron Cornwell!</span></p>
            <p><h2>I'm a Full-Stack Software Engineer</h2>
                specializing in bringing creativity and functionality together,
                to craft engaging and responsive user experiences.
            </p>
            <br>
            <p class="name">
                Take a look at some of my recent projects below!
            </p>
        </div>
        <div class="image-container">
            <img id="profile" src="img/IMG_2214.JPG" alt="profile picture">
        </div>
    </section>
    <div class="section-dkblue">
        <section id="projects">
            <h2>Recent Projects</h2>

            <article class="reverse">
                <div class="text">
                    <h3><a href="https://gitlab.com/HeyImAdrian/croissant-united-bank">Croissant United Bank</a></h3>
                    <p class="black-box">A banking application empowering authenticated users to seamlessly manage their
                        finances through secure deposit, withdrawal, and investment features. This application was made with a PostgreSQL relational
                        database, FastApi, Python, and dynamic and responsive user interfaces with React and Javascript to enhance the
                        overall user experience.

                    </p>
                    <h4>Technologies used include:</h4>
                    <ul>
                        <li>FastAPI</li>
                        <li>Python</li>
                        <li>HTML</li>
                        <li>CSS/Tailwind</li>
                        <li>Javascript</li>
                        <li>React</li>
                    </ul>
                </div>
                <img src="img/Screenshot 2023-10-21 at 3.20.25 PM.png" />
            </article>

            <article>
                <div class="text">
                    <h3><a href="https://gitlab.com/A.Cornwell/Conference-Go-project">Conference Go</a></h3>
                    <p class="black-box">Conference Go is a conference management application that allows users to
                        view and manage their conferences by location throughout the United States. Tech stack:
                        Python, Django, Javascript, HTML, CSS, JSON, RabbitMQ, APIs, and Docker.
                    </p>
                    <h4>Technologies used include:</h4>
                    <ul>
                        <li>Django</li>
                        <li>Python</li>
                        <li>HTML</li>
                        <li>CSS</li>
                        <li>Javascript</li>
                    </ul>
                </div>
                    <img src="img/conf-go.jpeg"/>

            </article>

            <article class="reverse">
                <div class="text">
                    <h3><a href="https://gitlab.com/A.Cornwell/car-car">Car Car</a></h3>
                    <p class="black-box">CarCar is a car sales and service web application built with Django and Python.
                        I developed the "service" microservice which boosted service efficiency by enabling the creation
                        and management of technicians and service appointments as well as the ability to view scheduled appointments.
                        Using Javascript, React, and CSS I was able to create and style forms for updating inventory.
                    </p>
                    <h4>Technologies used include:</h4>
                    <ul>
                        <li>Django</li>
                        <li>Python</li>
                        <li>HTML</li>
                        <li>CSS/Bootstrap</li>
                        <li>Javascript</li>
                        <li>React</li>
                    </ul>
                </div>
                <img src="img/CarCar.jpeg" />
            </article>

            <article>
                <div class="text">
                    <h3>IOS Inspired Calculator</h3>
                    <p class="black-box">A calculator project inspired by the design of the ios calculator. This was a personal
                        project that I wanted to take on to improve my Javascript skills. I used Javascript to create multiple
                        functions which allowed me to implement all of the basic functionality of a calculator including
                        multiplication, division, addition, and subtraction.
                    </p>
                    <h4>Technologies used include:</h4>
                    <ul>
                        <li>HTML</li>
                        <li>CSS</li>
                        <li>Javascript</li>
                    </ul>
                </div>
                <img src="img/ios-calc.jpeg" />
            </article>

            <article class="reverse">
                <div class="text">
                    <h3>Wordle Game</h3>
                    <p class="black-box">An adaptation of the popular word game "Wordle". I was able to use
                        Javascript to create a fully functional wordle game as well as connect to a third party
                        API to generate a new random word everytime you play the game.
                    </p>
                    <h4>Technologies used include:</h4>
                    <ul>

                        <li>HTML</li>
                        <li>CSS</li>
                        <li>Javascript</li>

                    </ul>
                </div>
                <img src="img/wordle.jpeg" />
            </article>
        </section>
    </div>
    <div class="gradient"></div>
    <div class="section-plum">
    <section id="contact">
        <h2>Contact me</h2>
        <p>I'm always interested in learning about new employment opportunities,
            and expanding my knowledge with new languages and tech stacks.
        </p>
    </br>
        <a href="mailto:cornwell_aaron@yahoo.com" class="button">Email me</a>
    </section>
    </div>
    <div class="gradient"></div>
    <footer>
        <h2>Aaron Cornwell &middot; Software Engineer</h2>
        <ul>
          <li>
            <a href="https://www.linkedin.com/in/a-cornwell/" target="_blank">
                <span class="fab fa-linkedin" aria-hidden="true"></span>
                <span class="sr-only">LinkedIn</span>
            </a>
          </li>
          <li>
            <a href="https://gitlab.com/A.Cornwell" target="_blank">
                <span class="fa-brands fa-gitlab" aria-hidden="true"></span>
                <span class="sr-only">Github</span>
            </a>
          </li>
          <li>
            <a href="mailto:cornwell_aaron@yahoo.com">
              <span class="fas fa-envelope" aria-hidden="true"></span>
              <span class="sr-only">Email</span>
            </a>
          </li>
        </ul>
        <p><small>&copy; 2023 Aaron Cornwell. All rights reserved.</small></p>
      </footer>
</body>
</html>
